=== debian/changelog ===
kpmcore (3.0.2-2) unstable; urgency=medium

  * Update symbols files (Fix FTBFS on 32 bit architectures)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 10 Jan 2017 18:49:36 +0200

kpmcore (3.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #850788)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 10 Jan 2017 09:50:02 +0200

kpmcore (3.0.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Remove unneeded dependency: libkf5kdelibs4support-dev
  * Update watch file to use download.kde.org
  * Make libkpmcore4-dev depend on libkpmcore4 (Closes: #847565)

  [ Andrius Štikonas ]
  * Update dependencies to match CMakeLists.txt

  [ Scott Kitterman ]
  * Update debian/copyright

 -- Jonathan Carter <jcarter@linux.com>  Sun, 25 Dec 2016 02:25:43 -0500

kpmcore (2.2.1-2) unstable; urgency=medium

  * Upgrade compat to 10
  * Update architectures to any
  * Remove unneeded Replaces field
  * Add copyright entry

 -- Jonathan Carter <jcarter@linux.com>  Fri, 11 Nov 2016 16:18:58 +0200

kpmcore (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: 810063)

 -- Jonathan Carter <jcarter@linux.com>  Sat, 10 Sep 2016 19:46:04 +0200
