=== debian/control ===
Source: kpmcore
Section: kde
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libparted-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://github.com/KDE/kpmcore
Vcs-Git: https://gitlab.com/highvoltage/kpmcore-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/kpmcore-packaging/tree/master

Package: libkpmcore4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpmcore3
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkpmcore4 (= ${binary:Version})
Replaces: libkpmcore3-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.
