=== debian/rules ===
#!/usr/bin/make -f

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)
