=== debian/watch ===
version=3
http://download.kde.org/stable/kpmcore/([\d.]+)/src/kpmcore-([\d.]+)\.tar\.xz
