## kpmcore 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
+# Copyright (C) 2014-2017 by Andrius Štikonas <andrius@stikonas.eu>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -20,12 +21,12 @@
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
 
-set(QT_MIN_VERSION "5.6.1")
+set(QT_MIN_VERSION "5.7.0")
 set(VERSION_MAJOR "3")
-set(VERSION_MINOR "0")
-set(VERSION_RELEASE "2")
+set(VERSION_MINOR "1")
+set(VERSION_RELEASE "1")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
-set(SOVERSION "4")
+set(SOVERSION "5")
 add_definitions(-D'VERSION="${VERSION}"') #"
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
@@ -46,6 +47,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
   Core
+  DBus
   Gui
   Widgets
 )
@@ -61,16 +63,18 @@
 
 # use sane compile flags
 add_definitions(
-  -fexceptions
   -DQT_USE_QSTRINGBUILDER
   -DQT_NO_CAST_TO_ASCII
   -DQT_NO_CAST_FROM_ASCII
   -DQT_STRICT_ITERATORS
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
+  -DQT_NO_CAST_TO_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
   -DQT_USE_FAST_OPERATOR_PLUS
 )
+kde_enable_exceptions()
+
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(BLKID REQUIRED blkid>=2.23)
