=== debian/changelog ===
kpmcore (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * Set standards version to 4.0.0
  * Set architecture to linux-any
  * Upload to unstable

 -- Jonathan Carter <jcarter@linux.com>  Wed, 05 Jul 2017 15:52:07 +0200
