## kpmcore 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,14 @@
 
 set(QT_MIN_VERSION "5.7.0")
 set(VERSION_MAJOR "3")
-set(VERSION_MINOR "1")
-set(VERSION_RELEASE "1")
+set(VERSION_MINOR "3")
+set(VERSION_RELEASE "0")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
-set(SOVERSION "5")
+set(SOVERSION "7")
 add_definitions(-D'VERSION="${VERSION}"') #"
+
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
@@ -55,9 +58,7 @@
 # Load the frameworks we need
 find_package(KF5 REQUIRED
   I18n
-  IconThemes
-  KIO
-  Service
+  CoreAddons
   WidgetsAddons
 )
 
@@ -77,7 +78,7 @@
 
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(BLKID REQUIRED blkid>=2.23)
+pkg_check_modules(BLKID REQUIRED blkid>=2.30)
 pkg_check_modules(LIBATASMART REQUIRED libatasmart)
 
 include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} lib/ src/)
@@ -110,3 +111,6 @@
 message(STATUS "kpmcore ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+enable_testing()
+add_subdirectory(test)
