=== debian/changelog ===
kpmcore (3.3.0-2ubuntu1) bionic; urgency=medium

  * libkpmcore7 breaks/replaces partitionmanager << 3.1.2-1~ for
    libpmdummybackendplugin.so

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Feb 2018 11:03:29 +0100

kpmcore (3.3.0-2) unstable; urgency=medium

  * Depend libkpmcore-dev on correct libkpmcore (Closes: #887874)

 -- Jonathan Carter <jcc@debian.org>  Thu, 25 Jan 2018 14:23:36 +0200

kpmcore (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3
    - Update to secure URI in debian/watch

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jan 2018 14:14:23 +0200

kpmcore (3.2.1-3) unstable; urgency=medium

  * Revert target architectures to linux-any
    (Closes: #881497, #881031)

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 09:29:00 +0200

kpmcore (3.2.1-2) unstable; urgency=medium

  * Update symbols file
  * Remove builds for alpha, powerpcspe and m68k
    (kde dependencies has never been available since inception
     of this package)

 -- Jonathan Carter <jcc@debian.org>  Sat, 04 Nov 2017 14:45:13 +0200

kpmcore (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Fri, 03 Nov 2017 20:00:36 +0200

kpmcore (3.2.0-2) unstable; urgency=medium

  * Use versioned build-dep for libblkid-dev (Closes: #879025)

 -- Jonathan Carter <jcc@debian.org>  Wed, 25 Oct 2017 09:03:19 +0200

kpmcore (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1

 -- Jonathan Carter <jcc@debian.org>  Fri, 06 Oct 2017 15:52:21 +0200

kpmcore (3.1.2-2) unstable; urgency=medium

  * Add corresponding breaks field for the replace field (Closes: #870435)
  * Update maintainer email address
  * Update standards version to 4.1.0.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2017 09:45:05 +0200
