=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kpmcore
-Section: kde
+Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Jonathan Carter <jcarter@linux.com>
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: cmake,
                debhelper (>= 10),
                extra-cmake-modules,
                libatasmart-dev,
-               libblkid-dev,
+               libblkid-dev (>= 2.30),
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5kio-dev,
@@ -16,15 +16,16 @@
                libparted-dev,
                pkg-config,
                pkg-kde-tools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/KDE/kpmcore
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kpmcore.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kpmcore.git
 
-Package: libkpmcore5
+Package: libkpmcore7
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkpmcore3, libkpmcore4
+Replaces: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, partitionmanager (<< 3.1.2-1~)
+Breaks: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, partitionmanager (<< 3.1.2-1~)
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -37,7 +38,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libkpmcore5 (= ${binary:Version}), libatasmart-dev
+ libkpmcore7 (= ${binary:Version}), libatasmart-dev
 Replaces: libkpmcore3-dev, libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
