=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
