## kpmcore 4.0.1

=== debian/changelog ===
kpmcore (4.0.1-1.1) unstable; urgency=medium

  * a working build

 -- Alf Gaida <agaida@siduction.org>  Thu, 17 Oct 2019 01:46:54 +0200

kpmcore (4.0.1-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Mon, 14 Oct 2019 09:04:09 +0000

kpmcore (4.0.0-1~exp2) experimental; urgency=medium

  * Override dh_autotest (dbus possibly can't work in chroot)

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Sep 2019 20:53:30 +0200

kpmcore (4.0.0-1~exp1) experimental; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)
  * Remove luks1 patch (applied upstream)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add libqca-qt5-2-dev as a build dependency, required by the build system.

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:08:30 +0000

kpmcore (3.3.0-5) unstable; urgency=medium

  * Use luks1 format only - wir nich

 -- Jonathan Carter <jcc@debian.org>  Sat, 06 Apr 2019 12:40:05 +0200

kpmcore (3.3.0-4) unstable; urgency=medium

  * Version bump (no changes)

 -- Jonathan Carter <jcc@debian.org>  Tue, 27 Nov 2018 09:54:56 +0200

kpmcore (3.3.0-3) unstable; urgency=medium

  * Remove build-dependencies that are no longed needed
    - libkf5service-dev
    - libkf5iconthemes-dev
    - libkf5kio-de
  * Add upstream signing key
  * Add new required dependencies
    - libqca-qt5-2-plugins
  * Update standards version to 4.2.0
  * Update Vcs to salsa.debian.org

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 13:34:01 +0200
