=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev (>= 2.30),
               libkf5auth-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libparted-dev,
               libqca-qt5-2-dev,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://github.com/KDE/kpmcore
Vcs-Browser: https://git.siduction.org/extra/kpmcore
Vcs-Git: https://git.siduction.org/extra/kpmcore.git

Package: libkpmcore8
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqca-qt5-2-plugins
Replaces: libkpmcore3,
          libkpmcore4,
          libkpmcore5,
          libkpmcore6,
          libkpmcore7
Breaks: libkpmcore3,
        libkpmcore4,
        libkpmcore5,
        libkpmcore6,
        libkpmcore7
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libkpmcore8 (= ${binary:Version}),
         libatasmart-dev,
         libparted-dev
Replaces: libkpmcore3-dev,
          libkpmcore4-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.
